package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author zsy
 * @description:目标追踪认知任务
 * @date 2021/1/19 16:31
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class GTCTEntity {

    /**
     * 正确率(%)
     */
    private String raghtRate;

    /**
     * 运动速度(秒)
     */
    private String velocity;

    /**
     * 运动时长
     */
    private String duration;

    /**
     * 追踪目标数
     */
    private int targetNum;

    /**
     * 难度等级
     */
    private int diff;

    /**
     * 序号
     */
    private int index;

    /**
     * 反应时间
     */
    private String responseTime;

}
