package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author zsy
 * @description:速度感知测试实体类
 * @date 2021/2/1 15:12
 */

@NoArgsConstructor
@AllArgsConstructor
@Data
public class SCEntity {

    /**
     * 序号
     */
    private String imgIndex;

    /**
     * 小球运动速度
     */
    private int speed;

    /**
     * 方块长度
     */
    private int length;

    /**
     * 误差
     */
    private String error;

}
