package com.rf.psychological.module.index.dao.dto;

import com.rf.psychological.dao.dto.JpaDto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.math.BigInteger;

/**
 * @author lpf
 * @description: 管理员首页用户量表或认知任务做次数
 * @date 2022/6/6 16:49
 */
@JpaDto
@Data
@AllArgsConstructor
@NoArgsConstructor
public class IndexRecordsNumSortDTO {

    private String name;

    private String flag;

    private BigInteger count;

}
