package com.rf.psychological.scale.dao.repository;

import com.rf.psychological.base.repository.BaseRepository;
import com.rf.psychological.scale.dao.model.UserRecordPhy;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @author zsy
 * @date 2021/6/17 15:55
 */
public interface UserRecordPhyRepository extends BaseRepository<UserRecordPhy, String> {

    @Query(value = "select id,test_date,test_result,type from t_user_record_phy where test_date = :testDate ", nativeQuery = true)
    List<UserRecordPhy> getuserRecordByTestDate(@Param("testDate") String testDate);

}
