package com.rf.psychological.scale.service.impl;

import com.rf.psychological.scale.dao.model.CognitiveDimension;
import com.rf.psychological.scale.dao.repository.CognitiveDimensionRepository;
import com.rf.psychological.scale.service.CognitiveDimensionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description:认知任务注维度关联业务
 * @Author: zsf
 * @Date: 2022/7/19
 */
@Service
public class CognitiveDimensionServiceImpl implements CognitiveDimensionService {

    @Autowired
    private CognitiveDimensionRepository cognitiveDimensionRepository;

    /**
     *
     * @param cognitiveId 认知任务id
     * @return
     */
    @Override
    public List<CognitiveDimension> findAllByCognitiveId(String cognitiveId) {
        return cognitiveDimensionRepository.findAllByCognitionId(cognitiveId);
    }
}
