package com.rf.psychological.scale.service.impl;


import com.rf.psychological.scale.dao.model.UserRecordPhy;
import com.rf.psychological.scale.dao.repository.UserRecordPhyRepository;
import com.rf.psychological.scale.service.UserRecordPhyService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zsy
 * @date 2021/6/17 15:55
 */
@Slf4j
@Service
public class UserRecordPhyServiceImpl implements UserRecordPhyService {

    @Autowired
    private UserRecordPhyRepository userRecordPhyRepository;


    @Override
    public List<UserRecordPhy> getuserRecordByTestDate(String testDate) {
        return this.userRecordPhyRepository.getuserRecordByTestDate(testDate);
    }
}
