package com.rf.psychological.service.impl;

import com.rf.psychological.dao.model.StatusEntity;
import com.rf.psychological.dao.repository.StatusRepository;
import com.rf.psychological.service.StatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zzf
 * @description:状态-特质焦虑量表
 * @date 2021/1/20 18:51
 */
@Service
public class StatusServiceImpl implements StatusService {
    @Autowired
    private StatusRepository statusRepository;
    /**
     * 全量查询
     *
     * @return
     */
    @Override
    public List<StatusEntity> findAll() {
        return this.statusRepository.findAll(Sort.by("no"));
    }
}
