package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author zzf
 * @description:Stroop任务
 * @date 2021/1/19 16:31
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class STROOPTASKEntity {

    /**
     * 序号
     */
    private int index;

    /**
     * 正确性
     */
    private String rightOrWrong;

    /**
     * 用户反馈的方向，L-左/R右
     */
    private String clickLorR;

    /**
     * 反应时长
     */
    private int responseTime;

    /**
     * 1为同色同义，2为不同义但互补色，3不同义不为互补色
     */
    private String diff;

}
