package com.rf.psychological.plan.dao.repository;

import com.rf.psychological.base.repository.BaseRepository;
import com.rf.psychological.plan.dao.model.HisTestPlanEntry;

import java.util.List;

public interface HisTestPlanRepository extends BaseRepository<HisTestPlanEntry,String> {

    HisTestPlanEntry findByPlanId(String testPlanId);

    /**
     * 根据机构编号获取历史测试记录
     * @param institutionNo
     * @return
     */
    List<HisTestPlanEntry> findAllByInstitutionNo(String institutionNo);
}
