package com.rf.psychological.scale.service.impl;


import com.rf.psychological.dao.repository.CategoryRepository;
import com.rf.psychological.scale.dao.model.CategoryEntity;
import com.rf.psychological.scale.dao.model.ScaleDetailsEntity;
import com.rf.psychological.scale.dao.repository.ScaleDetailsRepository;
import com.rf.psychological.scale.service.CategoryService;
import com.rf.psychological.scale.service.ScaleDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zsy
 * @description:量表类别信息管理
 * @date 2021/6/17 15:55
 */
@Service
public class ScaleDetailsServiceImpl implements ScaleDetailsService {

    @Autowired
    private ScaleDetailsRepository scaleDetailsRepository;

    @Override
    public ScaleDetailsEntity getSubjectDetailsByFlag(String flag) {
        return this.scaleDetailsRepository.getSubjectDetailsByFlag(flag);
    }

}
